curl --request GET \
--url https://api.egp.scale.com/v5/models \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/models"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"model_type": "generic",
"model_vendor": "openai",
"status": "failed",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"object": "model",
"vendor_configuration": {
"model_image": {
"registry": "<string>",
"repository": "<string>",
"tag": "<string>",
"command": [
"<string>"
],
"predict_route": "/predict",
"streaming_predict_route": "<string>",
"streaming_command": [
"<string>"
],
"request_schema": {},
"response_schema": {},
"env_vars": {},
"readiness_delay": 120,
"healthcheck_route": "/readyz"
},
"model_infra": {
"endpoint_type": "sync",
"cpus": 3,
"gpus": 0,
"gpu_type": "nvidia-tesla-t4",
"memory": "8Gi",
"storage": "16Gi",
"min_workers": 0,
"max_workers": 1,
"per_worker": 10,
"high_priority": false,
"labels": {},
"public_inference": false
}
},
"status_reason": "<string>",
"model_metadata": {},
"model_availability": "unknown"
}
],
"total": 123,
"has_more": true,
"object": "list",
"limit": 100
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List custom models
List the custom model records registered in your account.
Returns a paginated list of the model records managed through this API — models your account deploys through the launch or llmengine serving vendors — optionally filtered by name and by model vendor, and scoped to the caller’s account. This is different from GET /v5/chat/completions/models, which lists the models available to invoke for chat completions; this endpoint returns the managed records along with their deployment status, not the catalog of callable completion models.
Authorizations
Headers
Query Parameters
openai, cohere, vertex_ai, anthropic, azure, gemini, launch, llmengine, model_zoo, bedrock, xai, fireworks_ai 1 <= x <= 10000asc, desc Response
Successful Response
Show child attributes
Show child attributes
The total of items that match the query. This is greater than or equal to the number of items returned.
Whether there are more items left to be fetched.
"list"The maximum number of items to return.

